
Redmine - Defect #20900

Email not truncated when use deleted

2015-10-05 04:16 - Ivan Yiu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have some user deleted before. Try to create user with previously entered user's email and got the error "Email has already been

taken".

Checked that the email_addresses table still have the old mail and id info. but the ID is already deleted from the users table.

History

#1 - 2015-10-06 08:08 - Go MAEDA

- Status changed from New to Needs feedback

I cannot reproduce it. There seems no problem in app/models/user.rb.

source:branches/3.0-stable/app/models/user.rb@14285#L85:

  has_many :email_addresses, :dependent => :delete_all

 Could you please describe the procedure to reproduce?

#2 - 2017-09-21 15:29 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

I am closing this issue because we have not received any feedback from the author for 2 years.
